%define         pypi_name parallax

Name:           python-parallax
Version:        1.0.6
Release:        %mkrel 5
Summary:        Execute commands and copy files over SSH to multiple machines at once
License:        BSD-3-Clause
Group:          Development/Python
Url:            https://github.com/krig/parallax/
Source:         https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Parallax SSH provides an interface to executing commands on multiple
nodes at once using SSH. It also provides commands for sending and receiving files to
multiple nodes using SCP.

%package -n python3-%{pypi_name}
Summary:        Execute commands and copy files over SSH to multiple machines at once
BuildRequires:  python3-devel
BuildArch:      noarch
Requires:       openssh
Requires(post): update-alternatives
Requires(postun): update-alternatives
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Parallax SSH provides an interface to executing commands on multiple
nodes at once using SSH. It also provides commands for sending and receiving files to
multiple nodes using SCP.

This is the Python 3 package.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files parallax

# create a dummy target for /etc/alternatives/parallax-askpass
mv %{buildroot}%{_bindir}/parallax-askpass %{buildroot}%{_bindir}/parallax-askpass-%python3_version
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
touch %{buildroot}%{_sysconfdir}/alternatives/parallax-askpass
ln -s -f %{_sysconfdir}/alternatives/parallax-askpass %{buildroot}%{_bindir}/parallax-askpass

%post -n python3-%{pypi_name}
"%_sbindir/update-alternatives" --install \
   /%{_bindir}/parallax-askpass parallax-askpass %{_bindir}/parallax-askpass-%python3_version 20

%postun -n python3-%{pypi_name}
if [ "$1" = 0 ] ; then
   "%_sbindir/update-alternatives" --remove parallax-askpass %{_bindir}/parallax-askpass-%python3_version
fi

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS README.md COPYING
%{_bindir}/parallax-askpass
%{_bindir}/parallax-askpass-%python3_version
%ghost %_sysconfdir/alternatives/parallax-askpass


%changelog
* Sat Mar 01 2025 wally <wally> 1.0.6-5.mga10
+ Revision: 2155520
- rebuild for python3.13

* Wed Dec 13 2023 papoteur <papoteur> 1.0.6-4.mga10
+ Revision: 2017755
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0.6-3.mga9
+ Revision: 1823541
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.0.6-2.mga9
+ Revision: 1783396
- rebuild for python-3.10

* Fri Mar 26 2021 daviddavid <daviddavid> 1.0.6-1.mga9
+ Revision: 1710280
- new version: 1.0.6
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1534284
- Mageia 8 Mass Rebuild

* Wed Oct 02 2019 daviddavid <daviddavid> 1.0.4-2.mga8
+ Revision: 1448907
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.0.4-1.mga7
+ Revision: 1353655
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.3-2.mga7
+ Revision: 1289512
- Mageia 7 Mass Rebuild

* Mon Mar 05 2018 kekepower <kekepower> 1.0.3-1.mga7
+ Revision: 1206656
- Update to version 1.0.3
- Rename python-parallax to python2-parallax
- Added python3-parallax

* Tue Mar 07 2017 ennael <ennael> 1.0.1-1.mga6
+ Revision: 1089603
- fix release and group
- imported package python-parallax

